[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LCLProc' (#lcl)

# RemoveAmpersands

Removes single Ampersand characters, and returns the converted value.

## Declaration

Source position: lclproc.pas line 133

`function RemoveAmpersands(`
`const ASource: string`
`):string; function RemoveAmpersands(`
`Src: PChar;`
`var LineLength: LongInt`
`):PChar;`

## Arguments

`ASource` |  | String with the values examined in the routine.

## Function result

Value after single Ampersand characters are removed.

## Arguments

`Src` |  | PChar value examined in the routine.
`LineLength` |  | Length of the value in Src.

## Description

RemoveAmpersands is an overloaded function used to remove all occurrences of a single Ampersand (&) character from the specified value. It provides variants that operate on String and PChar types. The return value contains the original value after all single Ampersand characters have been removed. Double Ampersand (&&) characters are converted into a single Ampersand character.

Use DeleteAmpersands to remove Ampersand character in the original String value.